# `TaurusManager`

digraph inheritance2f5bf39b1f { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "Logger" [URL="taurus-Logger.html#taurus.Logger",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The taurus logger class. All taurus pertinent classes should inherit"]; "Singleton" [URL="taurus.core.util.singleton-Singleton.html#taurus.core.util.singleton.Singleton",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="This class allows Singleton objects"]; "TaurusManager" [URL="#taurus.core.taurusmanager.TaurusManager",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="A :class:`taurus.core.util.singleton.Singleton` class designed to"]; "Singleton" -> "TaurusManager" [arrowsize=0.5,style="setlinewidth(0.5)"]; "Logger" -> "TaurusManager" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class TaurusManager(*p, **k)

  A `taurus.core.util.singleton.Singleton` class designed to provide Taurus management.

  Example:

      >>> import taurus.core.taurusmanager
      >>> manager = taurus.core.taurusmanager.TaurusManager()
      >>> print(manager == taurus.core.taurusmanager.TaurusManager())
      True

  Import from `taurus.core.taurusmanager` as:

      from taurus.core.taurusmanager import TaurusManager

  DefaultSerializationMode = 1
  PLUGIN_KEY = '__taurus_plugin__'
  addJob(job, callback=None, *args, **kw)

    Deprecated. Wrapper of enqueueJob. See enqueueJob documentation.

  applyPendingOperations(ops)

    Executes the given operations

    Parameters:

      ops (sequence<taurus.core.taurusoperation.TaurusOperation>) – the sequence of operations

  buildPlugins()

    Returns the current valid plugins

    Returns:

      plugins

    Return type:

      dic

  changeDefaultPollingPeriod(period)
  cleanUp()

    Cleanup

  default_scheme = 'tango'
  enqueueJob(job, callback=None, job_args=(), job_kwargs=None, serialization_mode=None)

    Enqueue a job (callable) to the queue. The new job will be processed by a separate thread

    Parameters:

      - job (callable) – a callable object

      - callback (callable) – called after the job has been processed

      - job_args (sequence) – positional arguments passed to the job

      - job_kwargs (dict) – keyword arguments passed to the job

      - serialization_mode (TaurusSerializationMode) – serialization mode

  findObject(absolute_name)

    Finds the object with the given name

    Parameters:

      absolute_name (str) – the object name

    Returns:

      the taurus model object or None if no suitable name found

    Return type:

      taurus.core.taurusmodel.TaurusModel or None

  findObjectClass(absolute_name)

    Finds the object class for the given object name

    Parameters:

      absolute_name (str) – the object name

    Returns:

      the taurus model class object or None if no suitable name found

    Return type:

      class taurus.core.taurusmodel.TaurusModel or None

  getAttribute(name)

    Returns a attribute object for the given name

    Parameters:

      name (str) – attribute name

    Returns:

      the attribute for the given name

    Return type:

      taurus.core.taurusattribute.TaurusAttribute

  getAuthority(name)

    Returns a database object for the given name

    Parameters:

      name (str) – database name

    Returns:

      the authority for the given name

    Return type:

      taurus.core.taurusauthority.TaurusAuthority

  getConfiguration(**kwargs)

    Returns a configuration object for the given name

    Parameters:

      name (str) – configuration name

    Returns:

      the configuration for the given name

    Return type:

      taurus.core.taurusconfiguration.TaurusConfiguration

    Deprecated since version 4.0: Use getAttribute instead

  getDatabase(name)

    Deprecated. Use getAuthority instead

  getDefaultFactory()

    Gives the default factory.

    Returns:

      the default taurus factory

    Return type:

      taurus.core.taurusfactory.TaurusFactory

  getDevice(name)

    Returns a device object for the given name

    Parameters:

      name (str) – device name

    Returns:

      the device for the given name

    Return type:

      taurus.core.taurusdevice.TaurusDevice

  getFactory(scheme=None)

    Gives the factory class object supporting the given scheme

    Parameters:

      scheme (str or None) – the scheme. If None the default scheme is used

    Returns:

      the factory class object for the given scheme or None if a proper factory is not found

    Return type:

      taurus.core.taurusfactory.TaurusFactory or None

  getObject(cls, name)

    Gives the object for the given class with the given name

    Parameters:

      - cls (taurus.core.taurusmodel.TaurusModel) – object class

      - name (str) – the object name

    Returns:

      a taurus model object

    Return type:

      taurus.core.taurusmodel.TaurusModel or None

  getOperationMode()

    Deprecated. Gives the current operation mode.

    Returns:

      the current operation mode

    Return type:

      OperationMode

  getPlugins()

    Gives the information about the existing plugins

    Returns:

      the list of plugins

    Return type:

      dict<str, class taurus.core.taurusfactory.TaurusFactory>

  getScheme(name)

    Returns the scheme name for a given model name

    Parameters:

      name (str) – model name

    Returns:

      scheme name

    Return type:

      str

  getSerializationMode()

    Gives the serialization operation mode.

    Returns:

      the current serialization mode

    Return type:

      TaurusSerializationMode

  init(*args, **kwargs)

    Singleton instance initialization. For internal usage only. Do NOT call this method directly

  reInit()

    Reinitialization

  setOperationMode(mode)

    Deprecated. Sets the operation mode for the system.

    Parameters:

      mode (OperationMode) – the new operation mode

  setSerializationMode(mode)

    Sets the serialization mode for the system.

    Parameters:

      mode (TaurusSerializationMode) – the new serialization mode